# QCheckListItem Class Reference

The QCheckListItem class implements checkable list view items. More...

`#include <qlistview.h>`

Inherits QListViewItem.

List of all member functions.

## Public Members

- QCheckListItem ( QCheckListItem * parent, const char * text, Type = Controller )
- QCheckListItem ( QListView * parent, const char * text, Type = Controller )
- QCheckListItem ( QListViewItem * parent, const char * text, const QPixmap & )
- QCheckListItem ( QListView * parent, const char * text, const QPixmap & )
- virtual void paintCell ( QPainter *, const QColorGroup & cg, int column, int width, int alignment )
- virtual int width ( const QFontMetrics &, const QListView *, int column ) const
- virtual void setup ()
- void setOn ( bool )
- bool isOn () const
- Type type () const
- const char* text () const
- virtual const char* text ( int n ) const

## Protected Members

- virtual void paintBranches ( QPainter * p, const QColorGroup & cg, int w, int y, int h, GUIStyle s )
- virtual void activate ()
- void turnOffChild ()
- virtual void stateChange ( bool )

## Detailed Description

The QCheckListItem class implements checkable list view items.

There are three types of check list items: CheckBox, RadioButton and Controller.

Checkboxes may be inserted at top level in the list view. A radio button must be child of a controller.

## Member Function Documentation

### QCheckListItem::QCheckListItem ( QListView * parent, const char * text, Type tt = Controller )

Constructs a checkable item with parent parent, text text and type tt. Note that tt must not be RadioButton, if so it will not toggle.

### QCheckListItem::QCheckListItem ( QListView * parent, const char * text, const QPixmap & p )

Constructs a Controller item with parent parent, text text and pixmap p.

### QCheckListItem::QCheckListItem ( QListViewItem * parent, const char * text, const QPixmap & p )

Constructs a Controller item with parent parent, text text and pixmap p.

### QCheckListItem::QCheckListItem ( QCheckListItem * parent, const char * text, Type tt = Controller )

Constructs a checkable item with parent parent, text text and type tt. Note that a RadioButton must be child of a Controller, otherwise it will not toggle.

### void QCheckListItem::activate () `[virtual protected]`

Toggle checkbox, or set radiobutton on.

Reimplemented from QListViewItem.

### bool QCheckListItem::isOn () const

Returns TRUE if this item is toggled on, FALSE otherwise.

### void QCheckListItem::paintBranches ( QPainter * p, const QColorGroup & cg, int w, int, int h, GUIStyle ) `[virtual protected]`

Fills the rectangle. No decoration is drawn.

Reimplemented from QListViewItem.

### void QCheckListItem::paintCell ( QPainter * p, const QColorGroup & cg, int column, int width, int align ) `[virtual]`

Paints this item.

Reimplemented from QListViewItem.

### void QCheckListItem::setOn ( bool b )

Sets this button on of b is TRUE, off otherwise. Maintains radiobutton exclusivity.

### void QCheckListItem::setup () `[virtual]`

Performs setup.

Reimplemented from QListViewItem.

### void QCheckListItem::stateChange ( bool ) `[virtual protected]`

This virtual function is called when the item changes its on/off state.

### const char * QCheckListItem::text () const

Returns the text of this item.

### const char * QCheckListItem::text ( int n ) const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QListViewItem.

### void QCheckListItem::turnOffChild () `[protected]`

If this is a Controller that has RadioButton children, turn off the child that is on.

### QCheckListItem::Type QCheckListItem::type() const

Returns the type of this item.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qlistview.h: 1998/10/14
- qlistview.cpp: 1999/02/13